To: linux-m68k@lists.linux-m68k.org
Subject: L68K: Real dummy spinlocks
X-Yow: There's enough money here to buy 5000 cans of Noodle-Roni!
From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: 20 Jul 1998 11:58:42 +0200
Sender: owner-linux-m68k@phil.uni-sb.de

This patch makes the unused spinlocks real dummy spinlocks so that they
don't take any space at all.

Andreas.


--- linux/include/asm-m68k/spinlock.h.~1~	Mon Jul 20 11:56:26 1998
+++ linux/include/asm-m68k/spinlock.h	Mon Jul 20 11:57:14 1998
@@ -5,8 +5,8 @@
  * We don't do SMP on the m68k .... at least not yet.
  */
 
-typedef struct { int dummy; } spinlock_t;
-#define SPIN_LOCK_UNLOCKED { 0 }
+typedef struct { } spinlock_t;
+#define SPIN_LOCK_UNLOCKED { }
 
 #define spin_lock_init(lock)	do { } while(0)
 #define spin_lock(lock)		do { } while(0)
@@ -31,8 +31,8 @@
  * irq-safe write-lock, but readers can get non-irqsafe
  * read-locks.
  */
-typedef struct { int dummy; } rwlock_t;
-#define RW_LOCK_UNLOCKED { 0 }
+typedef struct { } rwlock_t;
+#define RW_LOCK_UNLOCKED { }
 
 #define read_lock(lock)		do { } while(0)
 #define read_unlock(lock)	do { } while(0)

-- 
Andreas Schwab                                      "And now for something
schwab@issan.informatik.uni-dortmund.de              completely different"
schwab@gnu.org
